Index: code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw
===================================================================
--- code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11232)
+++ code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11238)
@@ -13,5 +13,5 @@
 
 <?lua
-  include("templates/spaceshipAssff.oxt")
+  include("templates/fastship.oxt")
   include("templates/spaceshipPirate.oxt")
 ?>
@@ -51,311 +51,20 @@
 
     <!-- ------------------SpawnPoint----------------- -->
-    <SpawnPoint position="0,-2100,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="true" >
-      <events>
-        <activity>
-          <EventTrigger invert="true">
-            <events>
-                <trigger>
-                    <EventListener event="checkpoint2" />
-                </trigger>
-            </events>
-          </EventTrigger>
-        </activity>
-      </events>
+    <SpawnPoint position="0,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
     </SpawnPoint>
-    
-    <!-- ------------------CheckPoints----------------- -->
-    <OldRaceCheckPoint name="checkpoint1" position="0,-2000,1000" direction="0,-1,1" collisionType="static" scale="1" distance="40" checkpointindex="0" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
 
-    <OldRaceCheckPoint name="checkpoint2" position="0,-900,2300" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="1" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <SpawnPoint position="0,0,0" lookat="0,1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <Trigger mode="xor" invert="true" >
-                        <EventTrigger>
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint2" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                        <EventTrigger invert="true">
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint3" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                    </Trigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
+        <Model mesh="axes.mesh" scale="10" position="200,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="400,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="600,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="800,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1000,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1100,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1200,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1300,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1400,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1500,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1600,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1700,0,0"/>
 
-    <OldRaceCheckPoint name="checkpoint3" position="0,700,2700" stayActive="true" direction="0,0,1" collisionType="static" scale="1" distance="40" checkpointindex="2" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <SpawnPoint position="0,0,0" lookat="0,1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <Trigger mode="xor" invert="true" >
-                        <EventTrigger>
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint3" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                        <EventTrigger invert="true">
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint4" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                    </Trigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint4" position="0,2100,2300" stayActive="true" direction="0,1,1" collisionType="static" scale="1" distance="40" checkpointindex="3" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <DistanceTrigger name="trigger3" position="0,0,0" distance=40 stayActive="true" />
-            <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <Trigger mode="xor" invert="true" >
-                        <EventTrigger>
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint4" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                        <EventTrigger invert="true">
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint5" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                    </Trigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint5" position="0,2200,500" stayActive="true" direction="0,1,0" collisionType="static" scale="1" distance="40" checkpointindex="4" islast="false">
-        <attached>
-        <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        <DistanceTrigger name="trigger4" position="0,0,0" distance=40 stayActive="true" />
-        <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-            <events>
-            <activity>
-                <Trigger mode="xor" invert="true" >
-                    <EventTrigger>
-                        <events>
-                            <trigger>
-                                <EventListener event="checkpoint5" />
-                            </trigger>
-                        </events>
-                    </EventTrigger>
-                    <EventTrigger invert="true">
-                        <events>
-                            <trigger>
-                                <EventListener event="checkpoint6" />
-                            </trigger>
-                        </events>
-                    </EventTrigger>
-                </Trigger>
-            </activity>
-            </events>
-        </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint6" position="0,1500,-800" stayActive="true" direction="0,1,-1" collisionType="static" scale="1" distance="40" checkpointindex="5" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <DistanceTrigger name="trigger5" position="0,0,0" distance=40 stayActive="true" />
-            <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <Trigger mode="xor" invert="true" >
-                        <EventTrigger>
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint6" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                        <EventTrigger invert="true">
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint7" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                    </Trigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint7" position="0,200,-1900" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="6" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <DistanceTrigger name="trigger6" position="0,0,0" distance=40 stayActive="true" />
-            <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <Trigger mode="xor" invert="true" >
-                        <EventTrigger>
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint7" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                        <EventTrigger invert="true">
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint8" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                    </Trigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint8" position="0,-700,-1400" stayActive="true" direction="0,-1,-1" collisionType="static" scale="1" distance="40" checkpointindex="7" islast="false">
-        <attached>
-        <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        <DistanceTrigger name="trigger7" position="0,0,0" distance=40 stayActive="true" />
-        <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-            <events>
-            <activity>
-                <Trigger mode="xor" invert="true" >
-                    <EventTrigger>
-                        <events>
-                            <trigger>
-                                <EventListener event="checkpoint8" />
-                            </trigger>
-                        </events>
-                    </EventTrigger>
-                    <EventTrigger invert="true">
-                        <events>
-                            <trigger>
-                                <EventListener event="checkpoint9" />
-                            </trigger>
-                        </events>
-                    </EventTrigger>
-                </Trigger>
-            </activity>
-            </events>
-        </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint9" position="0,-1300,-800" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="8" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <DistanceTrigger name="trigger8" position="0,0,0" distance=40 stayActive="true" />
-            <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <EventTrigger>
-                        <events>
-                            <trigger>
-                                <EventListener event="checkpoint9" />
-                            </trigger>
-                        </events>
-                    </EventTrigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint10" position="0,-2100,0" collisionType="static" scale="1" distance="40" checkpointindex="9" islast="true" timelimit="150">
-        <attached>
-        <   Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
   </Scene>
 </Level>