Index: code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt
===================================================================
--- code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11275)
+++ code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11291)
@@ -2,7 +2,15 @@
 
 
-	<ModularSpaceShip collisionType=dynamic mass=10000 lineardamping=0.99 angularDamping=0.99 rotationaxis = "1,0,0" explosionchunks = 12 health            = 100
-   maxhealth         = 200
-   initialhealth     = 100>
+	<ModularSpaceShip 
+	collisionType=dynamic 
+	mass = 10000 
+	lineardamping = 0.99 
+	angularDamping = 0.99 
+	rotationaxis = "1,0,0" 
+	explosionchunks = 12 
+	health            = 200
+   	maxhealth         = 200
+   	initialhealth     = 200
+   	>
 	
 
@@ -10,13 +18,15 @@
 
 	<parts>
-        <ShipPart name="part0" initialhealth="1" maxhealth="1" damageabsorption="0" explosionposition="-100,0,0">
+        <ShipPart name="part1" initialhealth="100" maxhealth="100" damageabsorption="0" explosionposition="-100,0,0">
             <destructionevents>
-                <PartDestructionEvent targetType="part" targetParam="health" operation="destroy" value="0.5" message="middle cube destroyed!"/>
+
+
+                
             </destructionevents>
         </ShipPart>
 
-        <ShipPart name="part1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="-100,0,100">
+        <!-- <ShipPart name="part1" initialhealth="10" maxhealth="10" damageabsorption="0" explosionposition="-100,0,100">
             <destructionevents>
-                <PartDestructionEvent targetType="ship" targetParam="shieldhealth" operation="*" value="0.5"/>
+                <PartDestructionEvent targetType="part"  targetName = "part0" operation="destroy" value="0.5"/>
             </destructionevents>
         </ShipPart>
@@ -34,298 +44,526 @@
         </ShipPart>
 
+    -->
+
     </parts>
 
-
-
-
-
-    <attached>
-		<!-- coordinates (0,0,0) num 0-->
-
-		<StaticEntity name= "part0" collisionType=static position ="-100,0,0">
-			<attached>
-				<Model  mesh="cube.mesh" scale="10"/>
-
-				
-			</attached>
-
-		<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" lookat="-100,0,0" info ="part0"/>
-
-		</collisionShapes>
-
-		</StaticEntity>
-
-		<!-- coordinates (100,0,0) num 1-->
-
-		<StaticEntity name= "part1" collisionType=static lookat="-100,0,0" position ="-100,0,100" direction="0,0,0" yaw="-90" roll="-90" pitch="0">
-
-			
-
-
-			<attached>
-				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
-				<Model  mesh="Coordinates.mesh" scale="20"/>
-
-
-				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10"  />
-
-			</collisionShapes>
-
-			
-			
-		<!-- coordinates (86,50,0) num 2 -->	
-
-		</StaticEntity>
-
-		<StaticEntity name = "part2" collisionType=static lookat="-100,0,0" position ="-100,50,86" direction="0,0,0" yaw="-90" roll="-90">
-			<attached>
-				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
-				
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10"  />
-
-			</collisionShapes>
-
-		</StaticEntity>
-
-		<!-- coordinates (50,86,0) num 3 -->	
-
-		<StaticEntity name="part3" collisionType=static lookat="-100,0,0" position ="-100,86,50" direction="0,0,0" yaw="-90" roll="-90">
-			<attached>
-				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
-
-				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" />
-
-			</collisionShapes>
-
-		</StaticEntity>
-
-		<!-- coordinates (0,100,0) num 4 -->	
-
-		<StaticEntity name ="part4" collisionType=static position ="-100,100,0" lookat="-100,0,0">
-			<attached>
-				<Model  mesh="cube.mesh" scale="10" />
-
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" />
-
-			</collisionShapes>
-
-
-		</StaticEntity>
-
-		<!-- coordinates (-50,86,0) num 5 -->	
-
-		<StaticEntity name= "part5" collisionType=static position ="-100,86,-50" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90">
-			<attached>
-				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" />
-
-			</collisionShapes>
-
-
-		</StaticEntity>
-
-		<!-- coordinates (-86,50,0) num 6  -->	
-
-		<StaticEntity name="part6" collisionType=static position ="-100,50,-86" lookat="-100,0,0" >
-			<attached>
-				<Model  mesh="cube.mesh" scale="10" />
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" />
-
-			</collisionShapes>
-
-		</StaticEntity>
-
-		<!-- coordinates (-100,0,0) num 7 -->	
-
-		<StaticEntity name= "part7" collisionType=static position ="-100,0,-100" lookat="-100,0,0" direction="0,0,0" yaw="90" roll="90">
-			<attached>
-				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
-
-				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" />
-
-			</collisionShapes>
-
-		</StaticEntity>
-
-		<!-- coordinates (-86,-50,0) num 8 -->	
-
-		<StaticEntity name ="part8" collisionType=static position ="-100,-50,-86" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90" >
-			<attached>
-				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" />
-
-			</collisionShapes>
-
-
-		</StaticEntity>
-
-		<!-- coordinates (-50,-86,0) num 9 -->	
-
-		<StaticEntity name="part9" collisionType=static position ="-100,-86,-50" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90">
-			<attached>
-				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
-
-				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
-
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" />
-
-			</collisionShapes>
-
-		</StaticEntity>
-
-		<!-- coordinates (0,-100,0) num 10 -->	
-
-		<StaticEntity name ="part10" collisionType=static position ="-100,-100,0" lookat="-100,0,0">
-			<attached>
-				
-				<Model  mesh="cube.mesh" scale="10" />
-
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" />
-
-			</collisionShapes>
-
-		</StaticEntity>
-
-		<!-- coordinates (50,-86,0) num 11 -->	
-
-		<StaticEntity name ="part11" collisionType=static position ="-100,-86,50" lookat="-100,0,0">
-			<attached>
-				<Model  mesh="cube.mesh" scale="10" />
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" />
-
-			</collisionShapes>
-
-		</StaticEntity>
-
-		<!-- coordinates (86,-50,0) num 12 -->	
-
-		<StaticEntity name ="part12" collisionType=static position ="-100,-50,86" lookat="-100,0,0">
-			<attached>
-				<Model  mesh="cube.mesh" scale="10" />
-				
-
-      
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" />
-
-			</collisionShapes>
-
-		</StaticEntity>
-
-		<!-- x-coordinate = red,  z-coordinate = green, y-coordinate = blue, -->
-
-		<Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
-
-		<StaticEntity collisionType=static position ="-100,-70,75" lookat="-100,0,0" yaw="90" roll="0" pitch="90" >
-			<attached>
-				
-
-				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="4" />
-				
-
-			</attached>
-
-			<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="4,4,4" />
-
-			</collisionShapes>
-
-		</StaticEntity>
-
-		
-		
-
-	</attached>
-
-
     
-
-	<collisionShapes>
-
-			<BoxCollisionShape position="-100,0,0" halfExtents="10,10,10" />
-
-			</collisionShapes>
-	
-
-	<explosion >
+    <explosion >
       <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
       <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
       <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
     </explosion>
+
+
+	
+
+
+    <attached>
+		<!-- coordinates (0,0,0) num 0-->
+
+		<StaticEntity name= "part0" collisionType=static position ="0,0,0" info = "part0" >
+			<attached>
+				<Model  mesh="cube.mesh" scale="10"/>
+
+				
+			</attached>
+
+		<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" lookat="0,0,0" info ="part0"/>
+
+		</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct12 -->
+
+		<StaticEntity collisionType=static position ="0,-30,105"  yaw="0" roll="90" pitch="-60" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (100,0,0) num 1-->
+
+		<StaticEntity name= "part1" collisionType=static lookat="0,0,0" position ="0,0,120" direction="0,0,0" yaw="-90" roll="-90" pitch="0">
+
+			
+
+
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+				
+
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10"  />
+
+			</collisionShapes>	
+
+		</StaticEntity>
+
+		<!-- coordinates (86,50,0) num 2 -->
+
+		<!-- ct11 -->
+
+		<StaticEntity collisionType=static position ="0,30,105"  yaw="0" roll="90" pitch="270" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<StaticEntity name = "part2" collisionType=static lookat="0,0,0" position ="0,60,103.2" direction="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+				
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10"  />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct10 -->
+
+		<StaticEntity collisionType=static position ="0,78,78"  yaw="0" roll="90" pitch="240" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (50,86,0) num 3 -->	
+
+		<StaticEntity name="part3" collisionType=static lookat="0,0,0" position ="0,103.2,60" direction="0,0,0" yaw="-90" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct9 -->
+
+		<StaticEntity collisionType=static position ="0,105,30"  yaw="0" roll="90" pitch="210" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (0,100,0) num 4 -->	
+
+		<StaticEntity name ="part4" collisionType=static position ="0,120,0" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+
+		</StaticEntity>
+
+		<!-- ct8 -->
+
+		<StaticEntity collisionType=static position ="0,105,-30"  yaw="0" roll="90" pitch="180" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-50,86,0) num 5 -->	
+
+		<StaticEntity name= "part5" collisionType=static position ="0,103.2,-60" lookat="0,0,0" direction="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+
+		</StaticEntity>
+
+		<!-- ct7 -->
+
+		<StaticEntity collisionType=static position ="0,78,-78"  yaw="0" roll="90" pitch="150" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-86,50,0) num 6  -->	
+
+		<StaticEntity name="part6" collisionType=static position ="0,60,-103.2" lookat="0,0,0" yaw="0" roll="-90" >
+			<attached>
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct6 -->
+
+		<StaticEntity collisionType=static position ="0,30,-105"  yaw="0" roll="90" pitch="120" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+			
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-100,0,0) num 7 -->	
+
+		<StaticEntity name= "part7" collisionType=static position ="0,0,-120" lookat="0,0,0" direction="0,0,0" yaw="90" roll="90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct5 -->
+
+		<StaticEntity collisionType=static position ="0,-30,-105"  yaw="0" roll="90" pitch="90" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+
+		<!-- coordinates (-86,-50,0) num 8 -->	
+
+		<StaticEntity name ="part8" collisionType=static position ="0,-60,-103.2" lookat="0,0,0" direction="0,0,0" yaw="0" roll="-90" >
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+
+		</StaticEntity>
+
+		<!-- ct4 -->
+
+		<StaticEntity collisionType=static position ="0,-78,-78"  yaw="0" roll="90" pitch="60" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-50,-86,0) num 9 -->	
+
+		<StaticEntity name="part9" collisionType=static position ="0,-103.2,-60" lookat="0,0,0" direction="0,0,0" yaw="-90" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct3 -->
+
+		<StaticEntity collisionType=static position ="0,-105,-30"  yaw="0" roll="90" pitch="30" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (0,-100,0) num 10 -->	
+
+		<StaticEntity name ="part10" collisionType=static position ="0,-120,0" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct2 -->
+
+		<StaticEntity collisionType=static position ="0,-105,30"  yaw="0" roll="90" pitch="0" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (50,-86,0) num 11 -->	
+
+		<StaticEntity name ="part11" collisionType=static position ="0,-103.2,60" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Commando_Module.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- connecting tunnel 1 (ct1) -->
+
+		<StaticEntity collisionType=static position ="0,-78,78"  yaw="0" roll="90" pitch="-30" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (86,-50,0) num 12 -->	
+
+		<StaticEntity name ="part12" collisionType=static position ="0,-60,103.2" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+				
+
+      
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- x-coordinate = red,  z-coordinate = green, y-coordinate = blue, -->
+
 		
 
+
+		
+
+		
+	</attached>
+
+
+    
+
+	<!--collisionShapes>
+
+			<BoxCollisionShape position="-100,0,0" halfExtents="10,10,10" />
+
+			</collisionShapes-->
+	
+
+	
+		
+
 	</ModularSpaceShip>
 