Index: code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt
===================================================================
--- code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11291)
+++ code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11297)
@@ -3,28 +3,41 @@
 
 	<ModularSpaceShip 
+	name = endurance
 	collisionType=dynamic 
 	mass = 10000 
-	lineardamping = 0.99 
-	angularDamping = 0.99 
+	 
+	
 	rotationaxis = "1,0,0" 
 	explosionchunks = 12 
-	health            = 200
-   	maxhealth         = 200
-   	initialhealth     = 200
+	
+   	rotationrate = "5"
    	>
 	
 
-	<!-- Test endurance -->
-
-	<parts>
-        <ShipPart name="part1" initialhealth="100" maxhealth="100" damageabsorption="0" explosionposition="-100,0,0">
+
+   	<parts>
+        <ShipPart name="Endurance_Small_Ship" initialhealth="1000" maxhealth="1000" damageabsorption="0" explosionposition="-100,0,0">
             <destructionevents>
 
-
+            	<PartDestructionEvent targetType="part"  targetName = "Endurance_Small_Ship" operation="-" />
                 
             </destructionevents>
         </ShipPart>
 
-        <!-- <ShipPart name="part1" initialhealth="10" maxhealth="10" damageabsorption="0" explosionposition="-100,0,100">
+    </parts>
+
+	<!-- Test endurance -->
+<!--
+	
+	<parts>
+        <ShipPart name="Endurance_Small_Ship" initialhealth="1000" maxhealth="1000" damageabsorption="0" explosionposition="-100,0,0">
+            <destructionevents>
+
+            	<PartDestructionEvent targetType="part"  targetName = "Endurance_Small_Ship" operation="destroy" />
+                
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name="part1" initialhealth="10" maxhealth="10" damageabsorption="0" explosionposition="-100,0,100">
             <destructionevents>
                 <PartDestructionEvent targetType="part"  targetName = "part0" operation="destroy" value="0.5"/>
@@ -44,8 +57,8 @@
         </ShipPart>
 
-    -->
+    
 
     </parts>
-
+	-->
     
     <explosion >
@@ -56,22 +69,61 @@
 
 
-	
-
 
     <attached>
-		<!-- coordinates (0,0,0) num 0-->
-
-		<StaticEntity name= "part0" collisionType=static position ="0,0,0" info = "part0" >
-			<attached>
-				<Model  mesh="cube.mesh" scale="10"/>
-
-				
-			</attached>
-
-		<collisionShapes>
-
-			<BoxCollisionShape  halfExtents="10,10,10" lookat="0,0,0" info ="part0"/>
-
-		</collisionShapes>
+		<!-- coordinates (0,0,0) element 0-->
+
+		<!-- Small-Ship 1/2 -->
+
+		<StaticEntity  name = "Endurance_Small_Ship" collisionType=static position ="21,14.4,-9.6"  pitch="60" yaw="0" roll="90" >
+			<attached>
+				<Model  mesh="Endurance_Small_Ship.mesh" scale="36" />
+				
+
+      
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" info ="Endurance_Small_Ship"/>
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- Small-Ship 1/2 -->
+
+		<StaticEntity  collisionType=static position ="21,-14.4,9.6"  pitch="-120" yaw="0" roll="90" >
+			<attached>
+				<Model  mesh="Endurance_Small_Ship.mesh" scale="36" />
+				
+
+      
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+
+
+		<!-- Tunnelsystem -->
+
+		<StaticEntity  collisionType=static position ="0,0,0" lookat="0,0,0" pitch="-30" yaw="0" roll="90" >
+			<attached>
+				<Model  mesh="Endurance_Tunnelsystem.mesh" scale="66" />
+				
+
+      
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
 
 		</StaticEntity>
@@ -97,5 +149,43 @@
 		</StaticEntity>
 
-		<!-- coordinates (100,0,0) num 1-->
+		<!-- 2 Mistery elements --> 
+
+		<StaticEntity collisionType=static position ="0,-6,-9.6"  yaw="0" roll="90" pitch="-30" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Mystery.mesh" scale="48" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<StaticEntity collisionType=static position ="0,3.6,7.2"  yaw="0" roll="90" pitch="150" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Mystery.mesh" scale="48" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (100,0,0) element 1-->
 
 		<StaticEntity name= "part1" collisionType=static lookat="0,0,0" position ="0,0,120" direction="0,0,0" yaw="-90" roll="-90" pitch="0">
@@ -107,4 +197,5 @@
 				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
 				
+				
 
 
@@ -126,5 +217,4 @@
 		</StaticEntity>
 
-		<!-- coordinates (86,50,0) num 2 -->
 
 		<!-- ct11 -->
@@ -148,4 +238,6 @@
 		</StaticEntity>
 
+		<!-- coordinates (86,50,0) element 2 -->
+
 		<StaticEntity name = "part2" collisionType=static lookat="0,0,0" position ="0,60,103.2" direction="0,0,0" yaw="0" roll="-90">
 			<attached>
@@ -182,5 +274,5 @@
 		</StaticEntity>
 
-		<!-- coordinates (50,86,0) num 3 -->	
+		<!-- coordinates (50,86,0) element 3 -->	
 
 		<StaticEntity name="part3" collisionType=static lookat="0,0,0" position ="0,103.2,60" direction="0,0,0" yaw="-90" roll="-90">
@@ -224,5 +316,5 @@
 		</StaticEntity>
 
-		<!-- coordinates (0,100,0) num 4 -->	
+		<!-- coordinates (0,100,0) element 4 -->	
 
 		<StaticEntity name ="part4" collisionType=static position ="0,120,0" lookat="0,0,0" yaw="0" roll="-90">
@@ -261,5 +353,5 @@
 		</StaticEntity>
 
-		<!-- coordinates (-50,86,0) num 5 -->	
+		<!-- coordinates (-50,86,0) element 5 -->	
 
 		<StaticEntity name= "part5" collisionType=static position ="0,103.2,-60" lookat="0,0,0" direction="0,0,0" yaw="0" roll="-90">
@@ -297,5 +389,5 @@
 		</StaticEntity>
 
-		<!-- coordinates (-86,50,0) num 6  -->	
+		<!-- coordinates (-86,50,0) element 6  -->	
 
 		<StaticEntity name="part6" collisionType=static position ="0,60,-103.2" lookat="0,0,0" yaw="0" roll="-90" >
@@ -332,5 +424,5 @@
 		</StaticEntity>
 
-		<!-- coordinates (-100,0,0) num 7 -->	
+		<!-- coordinates (-100,0,0) element 7 -->	
 
 		<StaticEntity name= "part7" collisionType=static position ="0,0,-120" lookat="0,0,0" direction="0,0,0" yaw="90" roll="90">
@@ -375,5 +467,5 @@
 
 
-		<!-- coordinates (-86,-50,0) num 8 -->	
+		<!-- coordinates (-86,-50,0) element 8 -->	
 
 		<StaticEntity name ="part8" collisionType=static position ="0,-60,-103.2" lookat="0,0,0" direction="0,0,0" yaw="0" roll="-90" >
@@ -411,5 +503,5 @@
 		</StaticEntity>
 
-		<!-- coordinates (-50,-86,0) num 9 -->	
+		<!-- coordinates (-50,-86,0) element 9 -->	
 
 		<StaticEntity name="part9" collisionType=static position ="0,-103.2,-60" lookat="0,0,0" direction="0,0,0" yaw="-90" roll="-90">
@@ -433,4 +525,7 @@
 		</StaticEntity>
 
+		
+
+
 		<!-- ct3 -->
 
@@ -453,5 +548,5 @@
 		</StaticEntity>
 
-		<!-- coordinates (0,-100,0) num 10 -->	
+		<!-- coordinates (0,-100,0) element 10 -->	
 
 		<StaticEntity name ="part10" collisionType=static position ="0,-120,0" lookat="0,0,0" yaw="0" roll="-90">
@@ -490,5 +585,5 @@
 		</StaticEntity>
 
-		<!-- coordinates (50,-86,0) num 11 -->	
+		<!-- coordinates (50,-86,0) element 11 -->	
 
 		<StaticEntity name ="part11" collisionType=static position ="0,-103.2,60" lookat="0,0,0" yaw="0" roll="-90">
@@ -525,5 +620,5 @@
 		</StaticEntity>
 
-		<!-- coordinates (86,-50,0) num 12 -->	
+		<!-- coordinates (86,-50,0) element 12 -->	
 
 		<StaticEntity name ="part12" collisionType=static position ="0,-60,103.2" lookat="0,0,0" yaw="0" roll="-90">
@@ -546,5 +641,4 @@
 
 		
-
 
 		