Index: /code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout
===================================================================
--- /code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11298)
+++ /code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11299)
@@ -8,24 +8,24 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/ImageButton" Name="orxonox/Mission1Button" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
             <Property Name="Text" Value="Mission One" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.1,0},{0.65,0},{0.15,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.75,0},{0.25,0},{0.95,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/RadioButton" Name="orxonox/Mission2Button" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
             <Property Name="Text" Value="Fight in our Back" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.18,0},{0.65,0},{0.23,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.7,0},{0.5,0},{0.85,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/SystemButton" Name="orxonox/Mission3Button" >
+        <Window Type="MenuWidgets/ImageButton" Name="orxonox/Mission3Button" >
             <Property Name="Text" Value="Pirate Attack" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.26,0},{0.65,0},{0.31,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.685,0},{0.605,0},{0.75,0},{0.71,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
@@ -35,13 +35,13 @@
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.34,0},{0.65,0},{0.39,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.78,0},{0.48,0},{0.87,0},{0.59,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/ImageButton" Name="orxonox/Mission5Button" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
             <Property Name="Text" Value="Area 51 under Fire" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.42,0},{0.65,0},{0.47,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.725,0},{0.27,0},{0.775,0},{0.37,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
@@ -51,5 +51,5 @@
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.50,0},{0.65,0},{0.55,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.17,0},{0.65,0},{0.27,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
@@ -59,5 +59,5 @@
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.58,0},{0.65,0},{0.63,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.47,0},{0.13,0},{0.525,0},{0.23,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
@@ -67,5 +67,5 @@
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.66,0},{0.65,0},{0.71,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.33,0},{0.1,0},{0.38,0},{0.18,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
@@ -75,5 +75,5 @@
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.74,0},{0.65,0},{0.79,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.18,0},{0.07,0},{0.24,0},{0.145,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
@@ -84,5 +84,5 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.85,0},{0.65,0},{0.9,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.75,0},{0.9,0},{0.95,0},{0.95,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.CampaignMenuBackButton_clicked"/> 
         </Window>
Index: /code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw
===================================================================
--- /code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw	(revision 11298)
+++ /code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw	(revision 11299)
@@ -31,48 +31,34 @@
   >
 
-<StaticEntity position="0,0,0" direction="0,0,0" mass=10000 friction=0>
-<attached>
 
-    <Model position="0,0,0" mesh="Coordinates.mesh" scale=50 />
-   </attached>
-  </StaticEntity>
-
-
-
-<StaticEntity position="0,0,0" direction="0,0,0" mass=10000 friction=0>
+<StaticEntity position="0,0,0" direction="0,0,0" >
   <attached>
 
-      <Model position="-870,0,0" mesh="planets/earth.mesh" scale=30 />
+    <Model position="600,370,0" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="600,370,-80"  material="Flares/lensflare" scale=4.5 />
+  
+    <Model position="100,350,-250" mesh="planets/moon.mesh" scale=100  />
+    <Billboard colour="1,1,0.05" position="100,350,-330"  material="Flares/lensflare" scale=4.5 />
 
-      <Model position="870,0,0" mesh="planets/earth.mesh" scale=30 />
+    <Model position="-600,250,-500" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="-600,250,-580"  material="Flares/lensflare" scale=5 />
 
-      <Model position="0,-560,0" mesh="planets/earth.mesh" scale=30 />
+    <Model position="-1000,50,-750" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="-1000,50,-830"  material="Flares/lensflare" scale=5 />
 
-      <Model position="0,520,0" mesh="planets/earth.mesh" scale=30 />
+    <Model position="-900,-400,-1000" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="-900,-400,-1080"  material="Flares/lensflare" scale=5 />
 
+    <Model position="-500,-700,-1250" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="-500,-700,-1330"  material="Flares/lensflare" scale=5 />
 
+    <Model position="0,-900,-1500" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="0,-900,-1580" material="Flares/lensflare" scale=5 />
 
+    <Model position="700,-1100,-1750" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="700,-1100,-1830"  material="Flares/lensflare" scale=5 />
 
-
-
-      <Model position="0,0,0" mesh="planets/sol.mesh" scale=8 />
-  
-    <Model position="300,300,0" mesh="planets/moon.mesh" scale=60 />
-
-    <Model position="400,400,0" mesh="planets/muunilinst.mesh" scale=25 />
-
-    <Model position="500,500,0" mesh="planets/muunilinst.mesh" scale=18 />
-
-    <Model position="600,600,0" mesh="planets/muunilinst.mesh" scale=13 />
-
-    <Model position="-100,-100,0" mesh="planets/muunilinst.mesh" scale=8 />
-
-    <Model position="-200,-200,0" mesh="planets/muunilinst.mesh" scale=8 />
-
-    <Model position="-300,-300,0" mesh="planets/muunilinst.mesh" scale=8 />
-
-    <Model position="-400,-400,0" mesh="planets/muunilinst.mesh" scale=8 />
-
-    <Model position="-500,-500,0" mesh="planets/muunilinst.mesh" scale=8 /> 
+    <Model position="1500,-1300,-2000" mesh="planets/moon.mesh" scale=100 />
+    <Billboard colour="1,1,0.05" position="1500,-1300,-2080"  material="Flares/lensflare" scale=5 />
 
   </attached>
@@ -83,28 +69,4 @@
 
 
-<Planet
-      position="10000,0,0"
-      scale="100"
-      collisionType="dynamic"
-      linearDamping="0.8"
-      angularDamping="0"
-      mass="5000000"
-      pitch="0"
-      mesh="planets/muunilinst.mesh"
-      atmosphere="atmosphere1"
-      rotationaxis="1,0,0"
-      rotationrate="1.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
-      collisiondamage = 2
-      enablecollisiondamage = true
-    >
-    <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="1000" velocity="-500" />
-    </attached>
-    <collisionShapes>
-        <SphereCollisionShape radius="100" position="0,0,0" />
-    </collisionShapes>
-</Planet>
 
 