Index: data/contentcreation/pps/bartonp/Exports/Checkpoint/Checkpoint_InnerRing.material
===================================================================
--- data/contentcreation/pps/bartonp/Exports/Checkpoint/Checkpoint_InnerRing.material	(revision 11257)
+++ data/contentcreation/pps/bartonp/Exports/Checkpoint/Checkpoint_InnerRing.material	(revision 11310)
@@ -1,41 +1,70 @@
-// Checkpoint_InnerRing genrated by blender2ogre 0.6.0
-
-material Checkpoint_InnerRing 
+material Checkpoint_InnerRing
 {
-    receive_shadows on 
-
+    set $diffuseCol "1 1 1 1"
+    set $specularCol "1 1 1"
+    set $shininess "32"
+ 
     technique
     {
-        pass Checkpoint_InnerRing
+        pass
         {
-            ambient 0.17565025389194489 0.17645274102687836 0.17886075377464294 1.0
-            diffuse 0.1405202052074701 0.14116219492498328 0.1430886051519007 1.0
-            specular 0.10000000149011612 0.10000000149011612 0.10000000149011612 1.0 12.5
-            emissive 0.0 0.0 0.0 1.0
-
-            alpha_to_coverage off
-            colour_write on
-            cull_hardware clockwise
-            depth_check on
-            depth_func less_equal
-            depth_write on
-            illumination_stage 
-            light_clip_planes off
-            light_scissor off
-            lighting on
-            normalise_normals off
-            polygon_mode solid
-            scene_blend one zero
-            scene_blend_op add
-            shading gouraud
-            transparent_sorting on
-
-            texture_unit 
+            illumination_stage ambient
+ 
+            ambient 1 1 1 1
+            diffuse $diffuseCol
+            specular 0 0 0 0
+            emissive 0 0 0 0
+ 
+            vertex_program_ref ambient_vs
+            {
+            }
+ 
+            fragment_program_ref ambient_ps
+            {
+            }
+ 
+            texture_unit diffuseMap
             {
                 texture CheckpointTex.jpg
-                tex_address_mode wrap
-                scale 1.0 1.0
-                tex_coord_set 0
-                colour_op modulate
+            }
+ 
+            texture_unit aoMap
+            {
+                texture CheckpointTex.jpg
+            }
+        }
+ 
+        pass
+        {
+            illumination_stage per_light
+ 
+            scene_blend add
+//            iteration once_per_light   not needed while   illumination_stage per_light   is used
+ 
+            vertex_program_ref diffuse_vs
+            {
+            }
+ 
+            fragment_program_ref diffuse_ps
+            {
+            }
+ 
+            diffuse $diffuseCol
+            specular $specularCol $shininess
+            ambient 0 0 0 0
+ 
+            texture_unit diffuseMap
+            {
+                texture CheckpointTex.jpg
+            }
+ 
+            texture_unit specMap
+            {
+                texture CheckpointTex.jpg
+            }
+ 
+            texture_unit normalMap
+            {
+                texture CheckpointNormal.png
             }
         }
Index: data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/CheckpointLight.material
===================================================================
--- data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/CheckpointLight.material	(revision 11310)
+++ data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/CheckpointLight.material	(revision 11310)
@@ -0,0 +1,35 @@
+// CheckpointLight genrated by blender2ogre 0.6.0
+
+material CheckpointLight 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass CheckpointLight
+        {
+            ambient 0.5404688119888306 0.800000011920929 0.7590705752372742 1.0
+            diffuse 0.43237505603395476 0.6400000190734865 0.6072564692386457 1.0
+            specular 0.10000000149011612 0.10000000149011612 0.10000000149011612 1.0 12.5
+            emissive 0.5404688119888306 0.800000011920929 0.7590705752372742 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+        }
+    }
+}
Index: data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/Checkpoint_Glow.material
===================================================================
--- data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/Checkpoint_Glow.material	(revision 11310)
+++ data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/Checkpoint_Glow.material	(revision 11310)
@@ -0,0 +1,43 @@
+// Checkpoint_Glow genrated by blender2ogre 0.6.0
+
+material Checkpoint_Glow 
+{
+    receive_shadows off 
+
+    technique
+    {
+        pass Checkpoint_Glow
+        {
+            ambient 0.0 0.0 0.0 0.0
+            diffuse 0.0 0.0 0.0 0.0
+            specular 0.0 0.0 0.0 0.0 12.5
+            emissive 0.24419825440940635 0.4000000059604645 0.3858744678776631 0.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture Checkpoint_Glow.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                tex_coord_set 0
+                colour_op alpha_blend
+            }
+        }
+    }
+}
Index: data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/Checkpoint_InnerRing.material
===================================================================
--- data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/Checkpoint_InnerRing.material	(revision 11310)
+++ data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/Checkpoint_InnerRing.material	(revision 11310)
@@ -0,0 +1,43 @@
+// Checkpoint_InnerRing genrated by blender2ogre 0.6.0
+
+material Checkpoint_InnerRing 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass Checkpoint_InnerRing
+        {
+            ambient 0.17565025389194489 0.17645274102687836 0.17886075377464294 1.0
+            diffuse 0.1405202052074701 0.14116219492498328 0.1430886051519007 1.0
+            specular 0.10000000149011612 0.10000000149011612 0.10000000149011612 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture CheckpointTex.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                tex_coord_set 0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/Test/Checkpoint_Glow.material
===================================================================
--- data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/Test/Checkpoint_Glow.material	(revision 11310)
+++ data/contentcreation/pps/bartonp/Exports/Checkpoint/Glow/Test/Checkpoint_Glow.material	(revision 11310)
@@ -0,0 +1,43 @@
+// Checkpoint_Glow genrated by blender2ogre 0.6.0
+
+material Checkpoint_Glow 
+{
+    receive_shadows off 
+
+    technique
+    {
+        pass Checkpoint_Glow
+        {
+            ambient 0.0 0.0 0.0 0.0
+            diffuse 0.0 0.0 0.0 0.0
+            specular 0.0 0.0 0.0 0.0 12.5
+            emissive 0.6104956269264221 1.0 0.9646861553192139 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend alpha_blend
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture Checkpoint_Glow.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                tex_coord_set 0
+                colour_op alpha_blend
+            }
+        }
+    }
+}