Index: code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11329)
+++ code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11330)
@@ -10,11 +10,12 @@
 
         <!-- Misson 1************************************* -->
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission1Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Text" >
             <Property Name="Text" Value="Mission One" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.6,0},{0.3,0},{0.65,0}}" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
         </Window>
 
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission1Button" >
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -24,11 +25,13 @@
 
         <!-- Misson 2************************************* -->
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission2Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Text" >
             <Property Name="Text" Value="Fight in our Back" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.6,0},{0.55,0},{0.65,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
         </Window>
 
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission2Button" >
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -39,10 +42,12 @@
 
         <!-- Misson 3************************************* -->
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission3Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Text" >
             <Property Name="Text" Value="Pirate Attack" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.75,0},{0.8,0},{0.8,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission3Button" >
 
             <Property Name="Visible" Value="False"/>
@@ -54,10 +59,12 @@
 
         <!-- Misson 4************************************* -->
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission4Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Text" >
             <Property Name="Text" Value="Trip to Area 51" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedAreaRect" Value="{{0.575,0},{0.5,0},{0.775,0},{0.55,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission4Button" >
 
             <Property Name="Visible" Value="False"/>
@@ -69,10 +76,12 @@
 
         <!-- Misson 5************************************* -->
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission5Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Text" >
             <Property Name="Text" Value="Area 51 under Fire" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedAreaRect" Value="{{0.625,0},{0.4,0},{0.825,0},{0.45,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission5Button" >
 
             <Property Name="Visible" Value="False"/>
@@ -84,10 +93,12 @@
 
         <!-- Misson 6************************************* -->
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission6Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Text" >
             <Property Name="Text" Value="Escape the Bastards" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.1,0},{0.725,0},{0.15,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission6Button" >
 
             <Property Name="Visible" Value="False"/>
@@ -99,10 +110,12 @@
 
         <!-- Misson 7************************************* -->
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission7Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Text" >
             <Property Name="Text" Value="Expedition to Sector 5C" />
             <Property Name="Visible" Value="False"/>
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
             <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.025,0},{0.6,0},{0.075,0}}" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission7Button" >
 
             <Property Name="Visible" Value="False"/>
@@ -114,10 +127,12 @@
 
         <!-- Misson 8************************************* -->
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission8Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Text" >
             <Property Name="Text" Value="Shuttle under Attack" />
             <Property Name="Visible" Value="False"/>
+            <Property Name="Disabled" Value="True" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2,0},{0.45,0},{0.25,0}}" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission8Button" >
 
             <Property Name="Visible" Value="False"/>
@@ -129,10 +144,12 @@
 
         <!-- Misson 9************************************* -->
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Mission9Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Text" >
             <Property Name="Text" Value="Retaliation" />
             <Property Name="Visible" Value="False"/>
+            <Property Name="Disabled" Value="True" />
             <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.145,0},{0.3,0},{0.195,0}}" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission9Button" >
 
             <Property Name="Visible" Value="False"/>
Index: code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 11329)
+++ code/branches/StoryModeMap_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 11330)
@@ -41,4 +41,4 @@
     <WindowAlias Alias="MenuWidgets/Tree"                     Target="OrxonoxLook/Tree" />
 
-    <WindowAlias Alias="MenuWidgets/JuuButton"              Target="OrxonoxLook/JuuButton" />
+    <WindowAlias Alias="MenuWidgets/JuuButton"                Target="OrxonoxLook/JuuButton" />
 </GUIScheme>
Index: code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 11329)
+++ code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 11330)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
     <WindowAlias Alias="HUDWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
+
+     <WindowAlias Alias="HUDWidgets/ImageButton"              Target="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezGreenLook.scheme
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezGreenLook.scheme	(revision 11329)
+++ code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezGreenLook.scheme	(revision 11330)
@@ -51,3 +51,6 @@
     <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezGreenLook/LargeVerticalScrollbar" />
     <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/LargeVerticalScrollbarThumb" />
+
+    <!-- Special Button for CampaignMenu -->
+    <FalagardMapping WindowType="TaharezGreenLook/JuuButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 11329)
+++ code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 11330)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
     <WindowAlias Alias="MenuWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
+
+        <WindowAlias Alias="MenuWidgets/JuuButton"                Target="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezLook.scheme
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezLook.scheme	(revision 11329)
+++ code/branches/StoryModeMap_HS16/data/gui/schemes/TaharezLook.scheme	(revision 11330)
@@ -51,3 +51,4 @@
     <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/LargeVerticalScrollbar" />
     <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/LargeVerticalScrollbarThumb" />
+    
 </GUIScheme>