Index: /code/branches/SpaceRace_HS16/src/modules/gametypes/CMakeLists.txt
===================================================================
--- /code/branches/SpaceRace_HS16/src/modules/gametypes/CMakeLists.txt	(revision 11333)
+++ /code/branches/SpaceRace_HS16/src/modules/gametypes/CMakeLists.txt	(revision 11334)
@@ -3,6 +3,5 @@
   RaceCheckPoint.cc
   SpaceRaceManager.cc
-  OldSpaceRace.cc
-  OldRaceCheckPoint.cc
+
   SpaceRaceBot.cc
   SpaceRaceController.cc
Index: /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.cc
===================================================================
--- /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.cc	(revision 11333)
+++ /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.cc	(revision 11334)
@@ -24,6 +24,19 @@
  *   Co-authors:
  *      Celine Egger
+        Berkay Berabi
+        Louis Meile
  *
  */
+
+/*
+Todo:
+- improve AI (SpaceRaceController): 
+i) so far bots arent able to evade obstacles. fix that!
+ii) bots should be able to use pickups
+- game crashes when bot wins the game
+- bots rotate while waiting for the countdown to end. make it stop!
+- add elements to level file to make it even more fun to play. be creative!
+*/
+
 
 #include "SpaceRace.h"
@@ -63,11 +76,10 @@
         RegisterObject(SpaceRace);
 
-        this->botclass_ = Class(SpaceRaceBot);//ClassByString("")
+        this->botclass_ = Class(SpaceRaceBot); //ClassByString("")
         this->cantMove_ = false;
         this->bTimeIsUp_ = false;
         this->setConfigValues();
 
-       // this->numberOfBots_ = 1; // quick fix: don't allow default-bots to enter the race
-                                 // remove this line, if a raceBot has been created.
+        this->numberOfBots_ = 5; // quick fix: don't allow default-bots to enter the race
     }
 
@@ -78,30 +90,8 @@
     }
 
+    // define spawn positions of the 5 bots
     void SpaceRace::start()
     {
 
-
-       /* std::vector<int> spawnpositions;
-        
-        spawnpositions.push_back(200);
-        spawnpositions.push_back(0);
-        spawnpositions.push_back(100);
-        
-        spawnpositions.push_back(200);
-        spawnpositions.push_back(200);
-        spawnpositions.push_back(0);
-        
-        spawnpositions.push_back(200);
-        spawnpositions.push_back(0);
-        spawnpositions.push_back(0);
-
-        spawnpositions.push_back(100);
-        spawnpositions.push_back(0);
-        spawnpositions.push_back(0);
-
-        spawnpositions.push_back(0);
-        spawnpositions.push_back(100);
-        spawnpositions.push_back(0);
-*/  
         int startpos[15];
         
@@ -126,10 +116,4 @@
         startpos[14] =80;
         
-        /*startpos[15] =
-        startpos[0] =
-        startpos[0] =
-        startpos[0] =
-        startpos[0] =
-        startpos[0] =*/
 
 
@@ -140,5 +124,5 @@
             this->spawnPlayersIfRequested();
             this->cantMove_ = true;
-
+            //bots unable to move while countdown is running
             for (Engine* engine : ObjectList<Engine>()){
                 engine->setActive(false);
@@ -146,5 +130,5 @@
 
             }
-           
+           //append spawn positions to bots
            int a,b,c;
             a=0;
@@ -163,8 +147,9 @@
                                                 
 
-        std::string message("BE FAST BE FIRST");
+        std::string message("Use headphones to hear the countdown!");
         this->getGametypeInfo()->sendAnnounceMessage(message);
         ChatManager::message(message);
 
+//after 11 s, countdownFinished is called to activate bots` engines
 Timer* countdownTimer = new Timer();
         countdownTimer->setTimer(11, false, createExecutor(createFunctor(&SpaceRace::countdownFinished, this)));
@@ -184,5 +169,5 @@
         {
             message = multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds !!\n"
-                        + "You didn't reach the check point  before the time limit. You lose!";
+                        + "You lose!";
         }
         else
@@ -203,43 +188,4 @@
     {
         SUPER(SpaceRace,tick,dt);
-
-
-
-        // spawns the players when the countdown starts, but deactivates their engines
-       /* if (this->isStartCountdownRunning() && !this->cantMove_)
-        {
-            this->spawnPlayersIfRequested();
-            this->cantMove_ = true;
-
-            for (Engine* engine : ObjectList<Engine>())
-                engine->setActive(false);
-        }*/
-
-
-//gtinfo_->setStartCountdown(50.0);
-   
-        
-
-
-
-
-
-
-
-        // activate the engines when the countdown ends
-      /*  if (!this->isStartCountdownRunning() && this->cantMove_)
-        {
-            for (Engine* engine : ObjectList<Engine>())
-                engine->setActive(true);
-
-            this->cantMove_= false;
-
-
-
-            std::string message = "RACE STARTED!";
-            this->getGametypeInfo()->sendAnnounceMessage(message);
-            ChatManager::message(message);
-        }*/
-    
 }
 
@@ -289,18 +235,9 @@
         for (unsigned int i = 1; i <= amount; ++i){
             this->botclass_.fabricate(this->getContext());
-            //SpaceRaceBot* bot = new SpaceRaceBot(this->getContext());
-            //bot->setPosition(-i*150,0,-i*100);
-        }
-
-
-
-
-    }
-
-
-
-
-
-
+        }
+    }
+
+
+//set bot configurations
     bool SpaceRace::allowPawnHit(Pawn* victim, Pawn* originator)
     {
Index: /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.cc
===================================================================
--- /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.cc	(revision 11333)
+++ /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.cc	(revision 11334)
@@ -57,7 +57,6 @@
             "Dr. Julius No",
             "Berkay Berabi",
-            "Louis Meile"
-           
-            "Abradolf Lincler"
+            "Louis Meile"         
+            "Yo mama"
         };
         static std::vector<std::string> defaultnames(names, names + sizeof(names) / sizeof(std::string));
Index: /code/branches/SpaceRace_HS16/src/orxonox/infos/Bot.cc
===================================================================
--- /code/branches/SpaceRace_HS16/src/orxonox/infos/Bot.cc	(revision 11333)
+++ /code/branches/SpaceRace_HS16/src/orxonox/infos/Bot.cc	(revision 11334)
@@ -70,17 +70,9 @@
             "Berkay Berabi",
             "Louis  Meile"
-            "Dr. Julius No 3",
-            "Rosa Klebb",
             "Muten Roshi",
             "Abradolf Lincler",
-            "Dr. Kananga",
-            "Francisco Scaramanga",
-            "Karl Stromberg",
-            "Sir Hugo Drax",
+            "Lionel Messi",
             "Kamal Khan",
-            "General Orlov",
-            "General Georgi Koskov",
             "Karl the Llama",
-            "Alec Trevelyan",
             "Thomas the Tankengine",
             "Rick",
@@ -88,4 +80,5 @@
             "Charlie the Unicorn",
             "Kung Fury",
+            "Postman Pat"
         };
         static std::vector<std::string> defaultnames(names, names + sizeof(names) / sizeof(std::string));